k = input().strip()  # Вводим номер этажа как строку
mirrored = ''

# Создадим словарь, который будет хранить отображение цифр
mirror_map = {
    '0': '0',
    '1': '1',
    '5': '2',
    '2': '5',
    '8': '8',
}

# Переворачиваем строку и заменяем цифры
for digit in k[::-1]:
    if digit in mirror_map:
        mirrored += mirror_map[digit]
    else:
        mirrored += digit

if mirrored != "INVALID":
    print(int(mirrored))  # Выводим число без ведущих нулей
else:
    print("INVALID")
